%define name gai-bgswitcher
%define version 0.3
%define release %mkrel 6

Name: %name
Summary: A GAI applet for switching background
Version: %{version}
Release: %{release}
License: GPL
Url: http://gai.sf.net
Group: Graphics
Source: http://www.drakos7.net/%{name}-%{version}.tar.bz2
Source10:   %{name}-16.png
Source11:   %{name}-32.png
Source12:   %{name}-48.png
Patch: gai-album-0.6-rox-install.patch.bz2
BuildRoot: %{_tmppath}/build-root-%{name}
BuildRequires: libgai-devel >= 0.5

%description
A GAI applet for switching the background image.

This applet can be used in the GNOME and ROX Panels and as a
WindowMaker dockapp. Other panels and Window Managers will be
supported soon.


%prep
%setup -q
%patch -p1

%build
%configure2_5x
%make 

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
%if %_lib != lib
mv %buildroot%_prefix/lib/* %buildroot%_libdir/
%endif
install -m644 %name-icon.png -D $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name-icon.png
install -m644 %name-icon.png -D $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name/%name-icon.png
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%name.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name} 
?package(%name): command="%{_bindir}/%name" icon="%name.png" \
                needs="X11" section="Multimedia/Graphics" \
 title="Gai-bgswitcher" longtitle="Background switcher" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gai-bgswitcher
Comment=Backgrund switcher
Exec=%{_bindir}/%{name}
Icon=%name
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Graphics;Graphics;Viewer;
StartupNotify=true
Encoding=UTF-8
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc TODO CHANGELOG README README.gai
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
%_datadir/applications/mandriva*
%{_menudir}/%name
%{_datadir}/pixmaps/*
%_libdir/apps/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 0.3-6mdv2007.0
- xdg menu

* Wed May 10 2006 Götz Waschk <waschk@mandriva.org> 0.3-5mdk
- Rebuild
- use mkrel

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.3-4mdk
- fix build on x86_64

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-3mdk
- fix description
- fix ROX installation

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix source url
- fix description

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- fix installation
- new version

* Tue Jan  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.3-1mdk
- spec fixes
- new version

* Sat Nov  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-2mdk
- rebuild for new gai

* Mon Sep 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.2-1mdk 
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
    - Make a spec file
